Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.web.jboss
Class JBossWebContext

    java.lang.Object
      org.jboss.portal.web.jboss.JBossWebContext

All Implemented Interfaces:
  org.jboss.portal.web.ServletContainerFactory, org.jboss.portal.web.spi.ServletContainerContext

    public class JBossWebContext

extends java.lang.Object
implements org.jboss.portal.web.spi.ServletContainerContext, org.jboss.portal.web.ServletContainerFactory

JBossWeb implementation of the spi. It implements the `ServletContainerFactory` interface but it gets the returned instance from the DefaultServletContainerFactory instance.

Version:
  $Revision: 10281 $
Author:
  Julien Viet

Nested Class Summary

Nested classes/interfaces inherited from interface org.jboss.portal.web.spi.ServletContainerContext
`org.jboss.portal.web.spi.ServletContainerContext.Registration`

Constructor Summary
`JBossWebContext()`

Method Summary
`org.jboss.portal.web.ServletContainer` | `getServletContainer()`
`java.lang.Object` | `include(javax.servlet.ServletContext targetServletContext, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp, org.jboss.portal.web.RequestDispatchCallback callback, java.lang.Object handback)`
`void` | `setCallback(org.jboss.portal.web.spi.ServletContainerContext.Registration registration)`
`void` | `unsetCallback(org.jboss.portal.web.spi.ServletContainerContext.Registration registration)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBossWebContext

    public JBossWebContext()

Method Detail

### include

    public java.lang.Object include(javax.servlet.ServletContext targetServletContext,
                                    javax.servlet.http.HttpServletRequest req,
                                    javax.servlet.http.HttpServletResponse resp,
                                    org.jboss.portal.web.RequestDispatchCallback callback,
                                    java.lang.Object handback)
                             throws javax.servlet.ServletException,
                                    java.io.IOException

  Specified by:
    `include` in interface `org.jboss.portal.web.spi.ServletContainerContext`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### setCallback

    public void setCallback(org.jboss.portal.web.spi.ServletContainerContext.Registration registration)

  Specified by:
    `setCallback` in interface `org.jboss.portal.web.spi.ServletContainerContext`

### unsetCallback

    public void unsetCallback(org.jboss.portal.web.spi.ServletContainerContext.Registration registration)

  Specified by:
    `unsetCallback` in interface `org.jboss.portal.web.spi.ServletContainerContext`

### getServletContainer

    public org.jboss.portal.web.ServletContainer getServletContainer()

  Specified by:
    `getServletContainer` in interface `org.jboss.portal.web.ServletContainerFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD